# -*- coding: utf-8 -*-
from setuphelpers import *
import json

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
bin_name_x64 = "Regshot-x64-Unicode.exe"
bin_name_x86 = "Regshot-x86-Unicode.exe"
app_name = "Regshot"
app_path = makepath(programfiles32, app_name)
app_bin_path_x64 = makepath(app_path, bin_name_x64)
app_bin_path_x86 = makepath(app_path, bin_name_x86)


def install():
    # Installing the package
    if isdir(app_path):
        remove_tree(app_path)
        copytree2(app_name, app_path)
    else:
        copytree2(app_name, app_path)

    if iswin64():
        # create_desktop_shortcut(app_name,app_bin_path_x64)
        create_programs_menu_shortcut(app_name, app_bin_path_x64)
    else:
        # create_desktop_shortcut(app_name,app_bin_path_x86)
        create_programs_menu_shortcut(app_name, app_bin_path_x86)


def uninstall():
    remove_tree(app_path)
    # remove_desktop_shortcut(app_name)
    remove_programs_menu_shortcut(app_name)
